summaryrefslogtreecommitdiff
path: root/2024/get_input.sh
diff options
context:
space:
mode:
Diffstat (limited to '2024/get_input.sh')
-rwxr-xr-x2024/get_input.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/2024/get_input.sh b/2024/get_input.sh
new file mode 100755
index 0000000..a94f7ce
--- /dev/null
+++ b/2024/get_input.sh
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+set -eu
+curl -H "Cookie: session=$(cat aoc-cookie.txt)" https://adventofcode.com/2024/day/"$1"/input >"$1".in